Xerces-C++ 3.2.3

Macros | Typedefs
XercesDefs.hpp File Reference

Go to the source code of this file.

## Macros
#define | XMLStrL(str) str
#define | XERCES_CPP_NAMESPACE_BEGIN
#define | XERCES_CPP_NAMESPACE_END
#define | XERCES_CPP_NAMESPACE_USE
#define | XERCES_CPP_NAMESPACE_QUALIFIER
#define | XERCES_USING_STD(NAME)
#define | XERCES_STD_QUALIFIER
#define | XMLUTIL_EXPORT
#define | XMLPARSER_EXPORT
#define | SAX_EXPORT
#define | SAX2_EXPORT
#define | CDOM_EXPORT
#define | DEPRECATED_DOM_EXPORT
#define | PARSERS_EXPORT
#define | VALIDATORS_EXPORT
#define | XINCLUDE_EXPORT

## Typedefs
typedef unsigned char | XMLByte
typedef XMLUInt16 | UTF16Ch
typedef XMLUInt32 | UCS4Ch

## Macro Definition Documentation

## ◆ CDOM_EXPORT

#define CDOM_EXPORT

## ◆ DEPRECATED_DOM_EXPORT

#define DEPRECATED_DOM_EXPORT

## ◆ PARSERS_EXPORT

#define PARSERS_EXPORT

## ◆ SAX2_EXPORT

#define SAX2_EXPORT

## ◆ SAX_EXPORT

#define SAX_EXPORT

## ◆ VALIDATORS_EXPORT

#define VALIDATORS_EXPORT

## ◆ XERCES_CPP_NAMESPACE_BEGIN

#define XERCES_CPP_NAMESPACE_BEGIN

## ◆ XERCES_CPP_NAMESPACE_END

#define XERCES_CPP_NAMESPACE_END

## ◆ XERCES_CPP_NAMESPACE_QUALIFIER

#define XERCES_CPP_NAMESPACE_QUALIFIER

## ◆ XERCES_CPP_NAMESPACE_USE

#define XERCES_CPP_NAMESPACE_USE

## ◆ XERCES_STD_QUALIFIER

#define XERCES_STD_QUALIFIER

## ◆ XERCES_USING_STD

#define XERCES_USING_STD | ( |  | NAME | ) |

## ◆ XINCLUDE_EXPORT

#define XINCLUDE_EXPORT

## ◆ XMLPARSER_EXPORT

#define XMLPARSER_EXPORT

## ◆ XMLStrL

#define XMLStrL | ( |  | str | ) | str

## ◆ XMLUTIL_EXPORT

#define XMLUTIL_EXPORT

## Typedef Documentation

## ◆ UCS4Ch

typedef XMLUInt32 UCS4Ch

## ◆ UTF16Ch

typedef XMLUInt16 UTF16Ch

## ◆ XMLByte

typedef unsigned char XMLByte